# Image load

An action block that loads an image file into a memory bitmap.

The fiber will pause until the image as has been loaded.

This block loads an image from a content URI or file and decodes it into an bitmap held in memory by the fiber, so it can be modified by subsequent crop, flip, rescale or rotate operations, then written back to an image file. The bitmap is held in memory until the fiber stops, or it’s explicitly unloaded.

Any metadata, e.g. Exif, “orientation” property is ignored so the bitmap may appear flipped and/or rotated when compared to how it’s displayed. Use the Media tags read block to read the display orientation, then the Image flip (e.g. Flip= `{2:2,4:1,5:2,7:2}[orientation]`) and Image rotate (e.g. Rotation= `{3:180,5:270,6:90,7:90,8:270}[orientation]`) blocks to reorient.

Note! The bitmap of a decoded image may use a lot of memory, ensure to use the Image unload block when it’s no longer needed.

## Input arguments

- Content URI — URI or filename to image content to load, only JPEG or PNG currently supported.

## Output variables

- Width — variable to assign the width of the loaded image/bitmap, in pixels.
- Height — variable to assign the height of the loaded image/bitmap, in pixels.
- MIME type — variable to assign the MIME type of the loaded image.